<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseCodeMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $codeLanguage = null;
    


    private $codeBlocks;

    









    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getCodeLanguage()
    {
        return isset($this->codeLanguage) ? $this->codeLanguage : '';
    }

    public function hasCodeLanguage()
    {
        return isset($this->codeLanguage);
    }

    public function clearCodeLanguage()
    {
        unset($this->codeLanguage);
    }

    




    public function setCodeLanguage($var)
    {
        GPBUtil::checkString($var, True);
        $this->codeLanguage = $var;

        return $this;
    }

    



    public function getCodeBlocks()
    {
        return $this->codeBlocks;
    }

    




    public function setCodeBlocks($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \PhpWA\Protocol\Proto\AIRichResponseCodeMetadata\AIRichResponseCodeBlock::class);
        $this->codeBlocks = $arr;

        return $this;
    }

}

